dbXML API

## com.dbxml.db.admin.nodes
Class UsersNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.UsersNode

All Implemented Interfaces:
  HasChildren, HasCollection

public final class UsersNode
extends AdminNode
implements HasCollection, HasChildren

UsersNode

Field Summary
`static int` `ACTION_ADD`

Constructor Summary
`UsersNode(AdminNode parentNode, CollectionClient col)`

Method Summary
`AdminNode[]` `getChildren()`
`CollectionClient` `getCollection()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`java.lang.String` `getMenuTitle()`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getParentNode, getTooltip, isParentMenuInherited, menuAction, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_ADD

    public static final int ACTION_ADD

See Also:
  Constant Field Values

Constructor Detail

### UsersNode

    public UsersNode(AdminNode parentNode,
                     CollectionClient col)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Overrides:
    `getMenuTitle` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### getChildren

    public AdminNode[] getChildren()

  Specified by:
    `getChildren` in interface `HasChildren`

### getMenu

    public MenuItem[] getMenu()

dbXML API

Copyright (c) 2004 The dbXML Group